Attribute VB_Name = "ODBEXT_M"
'
'|========================================================================|
'| ODBC Module Extended Definitions                                       |
'|========================================================================|
'
'  ODBC Extended API's Definitions
'
Declare Function SQLBindParameter Lib "odbc32.dll" ( _
                  ByVal hStmt As Long, ByVal ipar As Integer, _
                  ByVal fParamType As Integer, _
                  ByVal fCType As Integer, _
                  ByVal fSqlType As Integer, _
                  ByVal cbColDef As Long, _
                  ByVal ibScale As Integer, _
                  ByRef rgbValue As Any, _
                  ByVal cbValueMax As Long, _
                  ByRef pcbValue As Long) As Integer
                  
Declare Function SQLBindParameterString Lib "odbc32.dll" Alias "SQLBindParameter" _
                  (ByVal hStmt As Long, ByVal ipar As Integer, _
                  ByVal fParamType As Integer, _
                  ByVal fCType As Integer, _
                  ByVal fSqlType As Integer, _
                  ByVal cbColDef As Long, _
                  ByVal ibScale As Integer, _
                  ByVal rgbValue As String, _
                  ByVal cbValueMax As Long, _
                  pcbValue As Long) As Integer


'  Level 1 Prototypes
'
Declare Function SQLColumns Lib "odbc32.dll" (ByVal hStmt&, ByVal szTableQualifier$, ByVal cbTableQualifier%, ByVal szTableOwner$, ByVal cbTableOwner%, ByVal szTableName$, ByVal cbTableName%, ByVal szColumnName$, ByVal cbColumnName%) As Integer
Declare Function SQLDriverConnect Lib "odbc32.dll" (ByVal hdbc As Long, _
                                 ByVal hwnd As Long, _
                                 ByVal szCSIn As String, _
                                 ByVal cbCSIn As Integer, _
                                 ByVal szCSOut As String, _
                                 ByVal cbCSMax As Integer, _
                                 cbCSOut As Integer, _
                                 ByVal f As Integer) As Integer
Declare Function SQLGetConnectOption Lib "odbc32.dll" (ByVal hdbc As Long, ByVal fOption As Integer, pvParam As Any) As Integer
Declare Function SQLGetData Lib "odbc32.dll" (ByVal hStmt As Long, _
                                                ByVal col As Integer, _
                                                ByVal wConvType As Integer, _
                                                lpbBuf As Any, _
                                                ByVal dwbuflen As Long, _
                                                lpcbout As Long) As Integer
Declare Function SQLGetFunctions Lib "odbc32.dll" (ByVal hdbc As Long, ByVal fFunction As Integer, pfExists As Integer) As Integer
Declare Function SQLGetInfo Lib "odbc32.dll" (ByVal hdbc As Long, ByVal hwnd As Integer, ByVal szInfo As String, ByVal cbInfoMax As Integer, cbInfoOut As Integer) As Integer
Declare Function SQLGetStmtOption Lib "odbc32.dll" (ByVal hStmt As Long, ByVal fOption As Integer, pvParam As Any) As Integer
Declare Function SQLGetTypeInfo Lib "odbc32.dll" (ByVal hStmt As Long, ByVal fSqlType As Integer) As Integer
Declare Function SQLParamData Lib "odbc32.dll" (ByVal hStmt As Long, _
                                                prgbValue As Any) As Integer
Declare Function SQLPutData Lib "odbc32.dll" (ByVal hStmt As Long, _
                                                rgbValue As Any, _
                                                ByVal cbValue As Long) As Integer
Declare Function SQLSetConnectOption Lib "odbc32.dll" (ByVal hdbc As Long, ByVal fOption As Integer, ByVal vParam As Long) As Integer
Declare Function SQLSetStmtOption Lib "odbc32.dll" (ByVal hStmt As Long, ByVal fOption As Integer, ByVal vParam As Long) As Integer
Declare Function SQLSpecialColumns Lib "odbc32.dll" (ByVal hStmt&, ByVal fColTyp%, ByVal szTblQualifier$, ByVal cbTblQualifier%, ByVal szTblOwner$, ByVal cbTblOwner%, ByVal szTblName$, ByVal cbTblName%, ByVal fScope%, ByVal fNullable%) As Integer
Declare Function SQLStatistics Lib "odbc32.dll" (ByVal hStmt&, ByVal szTblQualifier$, ByVal cbTblQualifier%, ByVal szTblOwner$, ByVal cbTblOwner%, ByVal szTblName$, ByVal cbTblName%, ByVal fUnique%, ByVal fAccuracy%) As Integer
Declare Function SQLTables Lib "odbc32.dll" (ByVal hStmt As Long, _
                                             ByVal q As String, ByVal cbq As Integer, _
                                             ByVal o As String, ByVal cbo As Integer, _
                                             ByVal t As String, ByVal cbt As Integer, _
                                             ByVal tt As String, ByVal cbtt As Integer) _
                                             As Integer

'  Level 2 Prototypes
'
Declare Function SQLBrowseConnect Lib "odbc32.dll" (ByVal hdbc&, ByVal szConnStrIn$, ByVal cbConnStrIn%, ByVal szConnStrOut$, ByVal cbConnStrOutMax%, pcbConnStrOut%) As Integer
Declare Function SQLColumnPrivileges Lib "odbc32.dll" (ByVal hStmt&, ByVal szTQf$, ByVal cbTQf%, ByVal szTOwn$, ByVal cbTOwn%, ByVal szTName$, ByVal cbTName%, ByVal szColName$, ByVal cbColumnName%) As Integer
Declare Function SQLDataSources Lib "odbc32.dll" (ByVal henv&, ByVal fDirection%, ByVal szDSN$, ByVal cbDSNMax%, pcbDSN%, ByVal szDescription$, ByVal cbDescriptionMax%, pcbDescription%) As Integer
Declare Function SQLDescribeParam Lib "odbc32.dll" (ByVal hStmt&, ByVal ipar%, pfSqlType%, pcbColDef&, pibScale%, pfNullable%) As Integer
Declare Function SQLExtendedFetch Lib "odbc32.dll" (ByVal hStmt&, ByVal fFetchType%, ByVal irow&, pcrow&, rgfRowStatus%) As Integer
Declare Function SQLForeignKeys Lib "odbc32.dll" (ByVal hStmt&, ByVal PTQf$, ByVal PTQf%, ByVal PTO$, ByVal PTO%, ByVal PTName$, ByVal PTName%, ByVal FTQf$, ByVal FTQf%, ByVal FTO$, ByVal FTO%, ByVal FTName$, ByVal FTName%) As Integer
Declare Function SQLMoreResults Lib "odbc32.dll" (ByVal hStmt&) As Integer
Declare Function SQLNativeSql Lib "odbc32.dll" (ByVal hdbc&, ByVal szSqlStrIn$, ByVal cbSqlStrIn&, ByVal szSqlStr$, ByVal cbSqlStrMax&, pcbSqlStr&) As Integer
Declare Function SQLNumParams Lib "odbc32.dll" (ByVal hStmt&, pcpar%) As Integer
Declare Function SQLParamOptions Lib "odbc32.dll" (ByVal hStmt As Long, _
                                                   ByVal crow As Long, _
                                                   pirow As Long) As Integer
Declare Function SQLPrimaryKeys Lib "odbc32.dll" (ByVal hStmt&, ByVal szTableQualifier$, ByVal cbTableQualifier%, ByVal szTableOwner$, ByVal cbTableOwner%, ByVal szTableName$, ByVal cbTableName%) As Integer
Declare Function SQLProcedureColumns Lib "odbc32.dll" (ByVal hStmt&, ByVal szProcQualifier$, ByVal cbProcQualifier%, ByVal szProcOwner$, ByVal cbProcOwner%, ByVal szProcName$, ByVal cbProcName%, ByVal szColumnName$, ByVal cbColumnName%) As Integer
Declare Function SQLProcedures Lib "odbc32.dll" (ByVal hStmt&, ByVal szProcQualifier$, ByVal cbProcQualifier%, ByVal szProcOwner$, ByVal cbProcOwner%, ByVal szProcName$, ByVal cbProcName%) As Integer
Declare Function SQLSetPos Lib "odbc32.dll" (ByVal hStmt&, ByVal irow%, ByVal fRefresh%, ByVal fLock%) As Integer
Declare Function SQLSetScrollOptions Lib "odbc32.dll" (ByVal hStmt&, ByVal fConcurrency%, ByVal crowKeyset&, ByVal crowRowset%) As Integer
Declare Function SQLTablePrivileges Lib "odbc32.dll" (ByVal hStmt&, ByVal szTableQualifier$, ByVal cbTableQualifier%, ByVal szTableOwner$, ByVal cbTableOwner%, ByVal szTableName$, ByVal cbTableName%) As Integer
